my $float=qr/-?(\d+\.?\d*|\.\d+)([e|E]-?\d+)?/;

sub nets($)
{
	my @ret=();
	my $hash = shift;

	open(my $cs,"<inputs/cs");
	while(<$cs>)
	{
		if(/\s*(.+?)\s*=\s*(\d+)/)
		{
			push @ret,($hash?($1 => $2):$1);
		}
	}
	close $cs;

	return @ret;
}

sub log2crit_path($)
{
	my $cp = undef;
	
	open(my $in,"<$_[0]");
	while(<$in>)
	{
		if(/^Critical Path:\s*($float) \(s\)/)
		{
			$cp = $1;
		}
	}
	# convert to nanoseconds
	if($cp) {
		$cp *= 1e9
	} else {
		$cp = "NA";
	}
	return $cp;
}

sub print_mat($\@)
{
	my $file = $_[0];
	my @mat = @{$_[1]};

	open(my $OUT,">$file") or die "Could not write to $file";
	foreach my $row (@mat)
	{
		print($OUT join("\t",@{$row}),"\n");
	}
	close($OUT);
}

1;
