#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

my @table = (["net","tdel","n","cp"]);

sub parse_fname($)
{
	my $fname=shift;
	if($fname =~ /experiments\/fig4\/([^\/]+)\/([^\/]+)\/(\d+)\/\d+.log/)
	{
		return [ $1, eval($2)*1e9, $3 ];
	}
}

printf("Reading logs\n");
foreach my $fname (glob("experiments/fig4/*/*/*/*.log"))
{
	my $record = &parse_fname($fname);
	
	next if(!defined($record));

	push @$record, &log2crit_path($fname);

	push @table,$record;


}

printf("Writing to fig4.dat\n");
&print_mat("fig4.dat",\@table);
