#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

my $head = ["name","normal","faster"];
my @table;

printf("Reading logs\n");
foreach my $net (&nets())
{
	if(-e "experiments/fig1/${net}_fast.log" and 
		-e "experiments/fig1/${net}_nom.log")
	{
		my $fast = &log2crit_path("experiments/fig1/${net}_fast.log");
		my $nom = &log2crit_path("experiments/fig1/${net}_nom.log");

		if($fast > 0 and $nom > 0)
		{
			push @table,[${net}, ${nom}, ${fast}];
		}
	}
}
@table = sort { (($a->[2] - $a->[1]) / $a->[1]) <=> (($b->[2] - $b->[1]) / $b->[1]) } @table;

printf("Writing to fig1.dat\n");
&print_mat("fig1.dat",\@table);
