#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

my @table = (["net","n","cp"]);

sub parse_fname($)
{
	my $fname=shift;
	if($fname =~ /experiments\/fig2\/([^\/]+)\/base.log/)
	{
		return [ $1,  -1 ];
	}elsif($fname =~ /experiments\/fig2\/([^\/]+)\/(\d+)\/\d+.log/)
	{
		return [ $1, $2 ];
	}
}

printf("Reading logs\n");
foreach my $fname (glob("experiments/fig2/*/base.log"), glob("experiments/fig2/*/*/*.log"))
{
	my $record = &parse_fname($fname);
	
	next if(!defined($record));

	push @$record, &log2crit_path($fname);

	push @table,$record;


}

printf("Writing to fig2.dat\n");
&print_mat("fig2.dat",\@table);
