#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

my @table = (["net","c","pfm","n","cp"]);

sub parse_fname($)
{
	my $fname=shift;
	if($fname =~ /experiments\/fig3\/([^\/]+)\/(\d+)\/(...)\/base.log/)
	{
		return [ $1, $2, $3, -1 ];
	}elsif($fname =~ /experiments\/fig3\/([^\/]+)\/(\d+)\/(...)\/(\d+)\/\d+.log/)
	{
		return [ $1, $2, $3, $4 ];
	}
}

printf("Reading logs\n");
foreach my $fname (glob("experiments/fig3/*/*/*/base.log"), glob("experiments/fig3/*/*/*/*/*.log"))
{
	my $record = &parse_fname($fname);
	
	next if(!defined($record));

	push @$record, &log2crit_path($fname);

	push @table,$record;


}

printf("Writing to fig3.dat\n");
&print_mat("fig3.dat",\@table);
